## lighter 1.1.2

=== Makefile ===
CXX = g++
CXXFLAGS= -Wall -O3
LINKFLAGS = -lpthread -lz 
DEBUG=
OBJECTS = ErrorCorrection.o GetKmers.o

# For Windows pthreads library: http://www.sourceware.org/pthreads-win32/
ifneq (,$(findstring MINGW,$(shell uname)))
	LINKFLAGS = -L. -lpthreadGC2
endif

all: lighter

lighter: main.o $(OBJECTS)
	$(CXX) -o $@ $(CXXFLAGS) $(OBJECTS) main.o $(LINKFLAGS)

main.o: main.cpp utils.h Reads.h Store.h File.h KmerCode.h bloom_filter.hpp
ErrorCorrection.o: ErrorCorrection.cpp ErrorCorrection.h utils.h
GetKmers.o: GetKmers.cpp GetKmers.h utils.h

clean:
	rm -f *.o *.gch lighter

=== debian/changelog ===
lighter (1.1.2-7) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:14:27 +0100

lighter (1.1.2-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 15:44:15 +0200

lighter (1.1.2-5) unstable; urgency=medium

  * Restrict testing archs

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 21 Dec 2020 13:28:45 +0530

lighter (1.1.2-4) unstable; urgency=medium

  * Add test data - multi-orig tarball
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 15 Nov 2020 23:14:58 +0530

lighter (1.1.2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS
    Closes: #965228

  [ Andreas Tille ]
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jul 2020 14:50:09 +0200

lighter (1.1.2-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:03:14 +0200

lighter (1.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #961665)

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 22:39:10 +0200

=== debian/control ===
Source: lighter
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/lighter
Vcs-Git: https://salsa.debian.org/med-team/lighter.git
Homepage: https://github.com/mourisl/Lighter
Rules-Requires-Root: no

Package: lighter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast and memory-efficient sequencing error corrector
 Lighter is a fast, memory-efficient tool for correcting sequencing
 errors. Lighter avoids counting k-mers. Instead, it uses a pair of Bloom
 filters, one holding a sample of the input k-mers and the other holding
 k-mers likely to be correct. As long as the sampling fraction is
 adjusted in inverse proportion to the depth of sequencing, Bloom filter
 size can be held constant while maintaining near-constant accuracy.
 Lighter is parallelized, uses no secondary storage, and is both faster
 and more memory-efficient than competing approaches while achieving
 comparable accuracy.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mourisl/Lighter/tags .*/v?@ANY_VERSION@\.tar\.gz

## lighter 1.1.3

=== debian/changelog ===
lighter (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * ftbfs.patch: unfuzz.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Nov 2024 20:11:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/lighter
 Vcs-Git: https://salsa.debian.org/med-team/lighter.git
 Homepage: https://github.com/mourisl/Lighter

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 ppc64el
